igeo

## Class IRadialComparator

- java.lang.Object
- - igeo.IRadialComparator

- All Implemented Interfaces:
    IComparator<IVec>

      public class IRadialComparator
      extends java.lang.Object
      implements IComparator<IVec>

  A class to define order of IVec in angle around a specified center to be used in sorting with ISort.
  Author:
    Satoru Sugihara
  See Also:
    `ISort`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IVec` | `center`
    `IVec` | `normal`
    `IVec` | `startDir`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IRadialComparator()`
    `IRadialComparator(IVec center)`
    `IRadialComparator(IVec center, IVec normal)`
    `IRadialComparator(IVec center, IVec normal, IVec startDir)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `angle(IVec v)`
    `int` | `compare(IVec v1, IVec v2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### center

          public IVec center

    - #### normal

          public IVec normal

    - #### startDir

          public IVec startDir

  - ### Constructor Detail

    - #### IRadialComparator

          public IRadialComparator()

    - #### IRadialComparator

          public IRadialComparator(IVec center)

    - #### IRadialComparator

          public IRadialComparator(IVec center,
                                   IVec normal)

    - #### IRadialComparator

          public IRadialComparator(IVec center,
                                   IVec normal,
                                   IVec startDir)

  - ### Method Detail

    - #### angle

          public double angle(IVec v)

    - #### compare

          public int compare(IVec v1,
                             IVec v2)

      Specified by:
        `compare` in interface `IComparator<IVec>`